
Application: gvSIG desktop - gvSIG bugs #4537
Falla al exportar shape-to-shape  con reproyeccion (en shapes con errores).
07/15/2017 12:20 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
Severity: Minor Add-on version:
gvSIG version: 2.3.1 Add-on build:
gvSIG build: 2501 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

    -  Creo una vista en 4326
    -  Cargo la capa ferrocarrilAndal, marcando la opcion de 'Fix LinearRings and LineStrings' y indicando que esta en 23030. La capa
se carga y visualiza correctamente.
    -  La selecciono y pulso en "exportar a" del menu contextual de la vista.
    -  Selecciono exportar a shape
    -  Indico el fichero de destino
    -  Y que lo exporte con la proyeccion de la vista.

Crea un shape vacio y me pregunta si lo inserta en la vista.
Le digo que no y saca un mensaje de error.
En la consola muestra:

 INFO [Thread-57] (DefaultJExporttoServicePanel.java:282) - Exporting 'ferrocarrilAndal' using
'org.gvsig.exportto.swing.prov.shape.ExporttoShapeService'
(/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal.shp).
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 INFO [Thread-57] (DefaultDataManager.java:352) -
openStore('Shape','_entity_:Persistence%3ASHPNewStoreParameters,geometryType:8,shxFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shx,allowInconsistenciesInGeometryType:false,dbfFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.dbf,CRS:EPSG%3A4326,useNullGeometry:false,shpFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,codePage:,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource 
atos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shx,allowInconsistenciesInGeometryType:false,dbfFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.dbf,CRS:EPSG%3A4326,useNullGeometry:false,shpFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,codePage:,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/g
,dbfFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.dbf,CRS:EPSG%3A4326,useNullGeometry:false,shpFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,codePage:,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (DefaultJExporttoServicePanel.java:286) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An erro
:EPSG%3A4326,useNullGeometry:false,shpFile:%2Fhome%2Fjjdelcerro%2Fdatos%2Fgeodata%2Fvector%2Fshp2d%2FFerrocarril%2FferrocarrilAndal-4326.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,codePage:,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (DefaultJExporttoServicePanel.java:286) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:527)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.exp
ocarril%2FferrocarrilAndal-4326.shp,loadCorruptGeometriesAsNull:false,fixLinearRings:false,codePage:,ProviderName:Shape,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (DefaultJExporttoServicePanel.java:286) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:527)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:275)
        at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:284)
Caused by: java.lang.NullPointerException
        at org.gvsig.export
,allowDuplicatedFieldNames:false,Encoding:DEFAULT,locale:DEFAULT,dateFormat:,handleDatesAsStrings:false,FeatureType:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource /home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (DefaultJExporttoServicePanel.java:286) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:527)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:275)
        at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:284)
Caused by: java.lang.NullPointerException
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.force2D(ExporttoShapeService.java:564)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:492)
        ... 2 more


:')
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (MultiResource.java:139) - Added resource file to a frozen multiresource MultiResource
/home/jjdelcerro/datos/geodata/vector/shp2d/Ferrocarril/ferrocarrilAndal-4326.shp
 WARN [Thread-57] (DefaultJExporttoServicePanel.java:286) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:527)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:275)
        at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:284)
Caused by: java.lang.NullPointerException
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.force2D(ExporttoShapeService.java:564)
        at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:492)
        ... 2 more

Associated revisions
Revision 43394 - 07/27/2017 02:44 PM - Joaquín  del Cerro Murciano

refs #4537. Corregida la exportacion a shape para que no falle si hay geometrias a null.

History
#1 - 07/15/2017 12:21 PM - Joaquín  del Cerro Murciano
- File Ferrocarril.zip added

#2 - 07/18/2017 11:09 AM - Joaquín  del Cerro Murciano
- Subject changed from Falla al exportar shape-to-shape  con reproyeccion. to Falla al exportar shape-to-shape  con reproyeccion (en shapes con 
errores).

#3 - 07/20/2017 10:56 AM - Álvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#4 - 07/27/2017 02:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 08/08/2017 10:21 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Ferrocarril.zip 52.6 KB 07/15/2017 Joaquín  del Cerro Murciano
